QGIS Application - Bug report #13856
DB Manager: SET DEFAULT syntax wrong
2015-11-19 10:14 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: DB Manager

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21879
Description

When setting the default for a column value, DB Manager fails to quote the value, e.g.

ALTER TABLE "pippo"."comuni" ALTER "nomemin" SET DEFAULT test123

instead of

ALTER TABLE "pippo"."comuni" ALTER "nomemin" SET DEFAULT 'test123'

therefore the command fails.

Associated revisions

Revision 333f2c3a - 2018-03-08 05:13 PM - Jiirgen Fischer

db_manager: add tooltip to default value field when editing table field properties (fixes #13856)

History

#1 - 2015-11-19 11:17 AM - Sebastian Dietrich

| would say this is intended behaviour. You are not entering a value, but an expression.

ALTER TABLE "table" ALTER "column" SET DEFAULT current_user

works, because current_user is a (PostgreSQL-)function and therefore a valid expression.

#2 - 2015-11-19 10:32 PM - Paolo Cavallini

If the user is required to add ", this should be made clear, it is not obvious. Perhaps adding a note to the error message would suffice.

#3 - 2015-11-21 03:55 AM - Sebastian Dietrich

Adding quotes always works, but is not always the correct solution. E.g. if | enter currentuser the solution would be to correct the function name, not to add

quotes. So the errormessage could be misleading.
Would a hint to the user when entering the default (e.g. a tooltip or a label) also suffice?
Something like:
Note: This is an expression, string literals must be properly quoted.

#4 - 2015-12-19 10:55 PM - Paolo Cavallini
- Subject changed from DBM manager: SET DEFAULT syntax wrong to DB Manager: SET DEFAULT syntax wrong

#5 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#6 - 2018-03-07 05:16 PM - Paolo Cavallini
- Priority changed from Normal to Low

- Affected QGIS version changed from 2.8.3 to 3.0.0
- Description updated

Unchanged in QGIS 3.

#7 - 2018-03-08 05:14 PM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|333f2c3af989eec053a4b6a8e47cad3483a7a390.

#8 - 2018-03-08 05:19 PM - Giovanni Manghi
- Resolution set to fixed/implemented
